> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.aurasos.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.aurasos.com/_mcp/server.

# Create a lead

POST https://staging-panic.aura.services/panic-api/v2/leads
Content-Type: application/json

Creates a lead from the personal-safety public documentation surface.

Reference: https://docs.aurasos.com/api-reference/leads/create-lead

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://staging-panic.aura.services` (Staging, default)
- `https://panic.aura.services` (Production)

## Request

### Body (application/json)

This endpoint expects a LeadCreateRequest.

- `mobileNumber` (string, required)
- `customerData` (LeadCustomerData, required)

## Response

### 200

Successful.

- `id` (string, optional) — The lead's UUID. This is the identifier used as the path parameter on `GET /leads/{id}`.
- `leadId` (integer, optional, nullable) — Sequential numeric lead identifier. Not the path parameter for `GET /leads/{id}`.
- `mobileNumber` (string, optional, nullable)
- `customerSourceId` (integer, optional, nullable)
- `status` (string, optional) — Lead status — one of `RECEIVED`, `PROCESSING`, `CONVERTED`, `FAILED`.
- `source` (string, optional)
- `customerData` (LeadCustomerData, optional)
- `processingStartedAt` (datetime, optional, nullable)
- `convertedAt` (datetime, optional, nullable)
- `failedAt` (datetime, optional, nullable)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)

## Errors

### 400 Bad Request Error

Bad request.

- `message` (string, optional)
- `errors` (ErrorResponseErrors, optional) — Error detail. May be a string, an array of strings, or an object (some routes return a serialized error object).

### 401 Unauthorized Error

Unauthorized.

- `message` (string, optional)
- `errors` (ErrorResponseErrors, optional) — Error detail. May be a string, an array of strings, or an object (some routes return a serialized error object).

## Types

### LeadCustomerData

- `firstname` (string, required)
- `surname` (string, required)
- `cellNumber` (string, required)
- `productCode` (enum, required) — Public product code. Accepted public values are `family` and `single`; AURA maps them to the internal product codes.
  - Allowed values: `family`, `single`
- `title` (string, optional)
- `initials` (string, optional)
- `workNumber` (string, optional)
- `homeNumber` (string, optional)
- `emailAddress` (string, optional)
- `identificationNumber` (string, optional)
- `uuid` (string, optional)
- `plan` (string, optional)

### ErrorResponseErrors

Error detail. May be a string, an array of strings, or an object (some routes return a serialized error object).

- string
- list of string
- map from string to any

## Examples

**Request**

```json
{
  "mobileNumber": "+27821234567",
  "customerData": {
    "firstname": "Quinn",
    "surname": "Tester",
    "cellNumber": "+27821234567",
    "productCode": "single"
  }
}
```

**Response**

```json
{
  "id": "57d6edad-9685-481d-95b0-ed681ed1be82",
  "leadId": 1,
  "mobileNumber": "string",
  "customerSourceId": 1,
  "status": "RECEIVED",
  "source": "INTEGRATION",
  "customerData": {
    "firstname": "Quinn",
    "surname": "Tester",
    "cellNumber": "+27821234567",
    "productCode": "single",
    "title": "Mr",
    "initials": "Q",
    "workNumber": "string",
    "homeNumber": "string",
    "emailAddress": "quinn.tester@example.com",
    "identificationNumber": "string",
    "uuid": "string",
    "plan": "string"
  },
  "processingStartedAt": "2024-01-15T09:30:00Z",
  "convertedAt": "2024-01-15T09:30:00Z",
  "failedAt": "2024-01-15T09:30:00Z",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python Success
import requests

url = "https://staging-panic.aura.services/panic-api/v2/leads"

payload = {
    "mobileNumber": "+27821234567",
    "customerData": {
        "firstname": "Quinn",
        "surname": "Tester",
        "cellNumber": "+27821234567",
        "productCode": "single"
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://staging-panic.aura.services/panic-api/v2/leads';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"mobileNumber":"+27821234567","customerData":{"firstname":"Quinn","surname":"Tester","cellNumber":"+27821234567","productCode":"single"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://staging-panic.aura.services/panic-api/v2/leads"

	payload := strings.NewReader("{\n  \"mobileNumber\": \"+27821234567\",\n  \"customerData\": {\n    \"firstname\": \"Quinn\",\n    \"surname\": \"Tester\",\n    \"cellNumber\": \"+27821234567\",\n    \"productCode\": \"single\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://staging-panic.aura.services/panic-api/v2/leads")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"mobileNumber\": \"+27821234567\",\n  \"customerData\": {\n    \"firstname\": \"Quinn\",\n    \"surname\": \"Tester\",\n    \"cellNumber\": \"+27821234567\",\n    \"productCode\": \"single\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://staging-panic.aura.services/panic-api/v2/leads")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"mobileNumber\": \"+27821234567\",\n  \"customerData\": {\n    \"firstname\": \"Quinn\",\n    \"surname\": \"Tester\",\n    \"cellNumber\": \"+27821234567\",\n    \"productCode\": \"single\"\n  }\n}")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://staging-panic.aura.services/panic-api/v2/leads', [
  'body' => '{
  "mobileNumber": "+27821234567",
  "customerData": {
    "firstname": "Quinn",
    "surname": "Tester",
    "cellNumber": "+27821234567",
    "productCode": "single"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://staging-panic.aura.services/panic-api/v2/leads");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"mobileNumber\": \"+27821234567\",\n  \"customerData\": {\n    \"firstname\": \"Quinn\",\n    \"surname\": \"Tester\",\n    \"cellNumber\": \"+27821234567\",\n    \"productCode\": \"single\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "mobileNumber": "+27821234567",
  "customerData": [
    "firstname": "Quinn",
    "surname": "Tester",
    "cellNumber": "+27821234567",
    "productCode": "single"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://staging-panic.aura.services/panic-api/v2/leads")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```